oci_cancel
oci_close
OCI8 Functions
PHP Manual

# oci_client_version

(PHP 5.3.7, PECL OCI8 >= 1.4.6)

oci_client_version — Returns the Oracle client library version

### Description

string oci_client_version ( void )

Returns a string containing the version number of the Oracle C client library that PHP is linked with.

### Parameters

None

### Return Values

Returns the version number as a string.

### Examples

Example #1 oci_client_version() example

`<?php
echo "Client Version: " . oci_client_version(); // Client version: 11.2.0.2
?>`

### Notes

> Note:

> Oracle libraries before 10gR2 do not have the underlying functionality to get the client library version number. The string "Unknown" will be returned in this case.

### See Also

- oci_server_version() - Returns the Oracle Database version

oci_cancel
oci_close
OCI8 Functions
PHP Manual